wearerequired/user-roles-adjustments

Custom functionality for user editing in combination with the Members plugin. Retains user levels and limits user editing capabilities.

Installs: 1 263

Dependents: 0

Suggesters: 0

Security: 0

Stars: 1

Watchers: 3

Forks: 0

Open Issues: 1

Type:wordpress-muplugin

0.2.0 2021-09-28 05:23 UTC

This package is auto-updated.

Last update: 2024-06-30 01:16:15 UTC


README

User Roles Adjustments

WordPress mu-plugin for user editing in combination with the Members plugin. Retains user levels and limits user editing capabilities.

Installation

  1. Define the dropin path for wordpress-muplugin
    composer config --json --merge extra.dropin-paths '{ "wordpress/content/mu-plugins/": [ "type:wordpress-muplugin" ] }'
    
  2. Install koodimonni/composer-dropin-installer and wearerequired/user-roles-adjustments
    composer require koodimonni/composer-dropin-installer wearerequired/user-roles-adjustments
    

Example of a composer.json for a site:

{
  "name": "wearerequired/something",
  "require": {
    "koodimonni/composer-dropin-installer": "^1.0",
    "wearerequired/user-roles-adjustments": "^0.2"
  },
  "extra": {
    "dropin-paths": {
      "wordpress/content/mu-plugins/": [
        "type:wordpress-muplugin"
      ]
    }
  }
}